# vim: ft=sls
---
{%- from "forgejo/map.jinja" import forgejo with context %}

forgejo-service:
  file.managed:
    - name: /etc/systemd/system/forgejo.service
    - source: salt://forgejo/templates/forgejo.service.j2
    - user: root
    - group: root
    - mode: 644
    - template: jinja
    - makedirs: true

forgejo:
  service.running:
    - enable: true
    - full_restart: true
    - watch:
      - file: forgejo-bin
      - file: forgejo-config
