---
{%- from "snappymail/map.jinja" import snappymail with context %}
snappymail-archive-extract:
  archive.extracted:
    - name: {{ snappymail.release_dir }}/{{ snappymail.release_filename }}-{{ snappymail.version }}
    - source: {{ snappymail.mirror }}/v{{ snappymail.version }}/{{ snappymail.release_filename }}-{{ snappymail.version }}.zip
    - skip_verify: true
    - enforce_toplevel: false
    - user: {{ snappymail.user }}
    - group: {{ snappymail.group }}
    - if_missing: {{ snappymail.release_dir }}/{{ snappymail.release_filename }}-{{ snappymail.version }}

snappymail-archive-symlink:
  file.symlink:
    - name: {{ snappymail.install_dir }}/snappymail
    - target: {{ snappymail.release_dir }}/{{ snappymail.release_filename }}-{{ snappymail.version }}
    - require:
      - archive: snappymail-archive-extract
