---
{%- from "systemd/map.jinja" import systemd with context %}
systemd-confdir-system:
  file.directory:
    - name: {{ systemd.confdir }}/system.conf.d/

systemd-configfile-system:
  file.managed:
    - name: {{ systemd.confdir }}/system.conf.d/custom.conf
    - source: salt://systemd/templates/systemd_custom.conf.j2
    - template: jinja
    - user: root
    - group: root
    - mode: 0644
    - context:
        settings: {{ systemd.settings }}
