---
{%- from "headscale/map.jinja" import headscale with context %}
headscale-service-file:
  file.managed:
    - name: /etc/systemd/system/headscale.service
    - source: salt://headscale/templates/headscale.service.j2
    - user: root
    - group: root
    - mode: 644
    - template: jinja

headscale-service:
  service.{{ 'running' if headscale.enabled else 'dead' }}:
    - name: headscale
    - enable: {{ headscale.enabled }}
