---
{%- from "neovim/map.jinja" import neovim with context %}
neovim-neovim-vimrc-local:
  file.managed:
    - name: /etc/xdg/nvim/init.vim
    - source: salt://neovim/templates/init.vim.j2
    - user: root
    - group: root
    - mode: 0644
    - template: jinja
    - require:
      - pkg: neovim-pkg

neovim-neovim-luarc-local:
  file.managed:
    - name: /etc/xdg/nvim/init.lua
    - source: salt://neovim/templates/init.lua.j2
    - user: root
    - group: root
    - mode: 0644
    - template: jinja
    - require:
      - pkg: neovim-pkg
