---
{%- from "snappymail/map.jinja" import snappymail with context %}
snappymail-data-dir:
  file.directory:
    - name: {{ snappymail.data_dir }}
    - user: {{ snappymail.user }}
    - group: {{ snappymail.group }}

snappymail-config:
  file.managed:
    - name: {{ snappymail.install_dir }}/snappymail/include.php
    - source: salt://snappymail/templates/include.php.j2
    - user: {{ snappymail.user }}
    - group: {{ snappymail.group }}
    - template: jinja
    - context:
        config_includes:
          - '$sCustomDataPath = "{{ snappymail.data_dir }}";'
          - '$sCustomConfiguration = "";'